package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * TrafficDistribution
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class TrafficDistribution   {
  @JsonProperty("aps")
  @Valid
  private List<DeviceTrafficDistribution> aps = null;

  @JsonProperty("switches")
  @Valid
  private List<DeviceTrafficDistribution> switches = null;

  public TrafficDistribution aps(List<DeviceTrafficDistribution> aps) {
    this.aps = aps;
    return this;
  }

  public TrafficDistribution addApsItem(DeviceTrafficDistribution apsItem) {
    if (this.aps == null) {
      this.aps = new ArrayList<>();
    }
    this.aps.add(apsItem);
    return this;
  }

  /**
   * Current Site Ap List
   * @return aps
  */
  @ApiModelProperty(value = "Current Site Ap List")

  @Valid

  public List<DeviceTrafficDistribution> getAps() {
    return aps;
  }

  public void setAps(List<DeviceTrafficDistribution> aps) {
    this.aps = aps;
  }

  public TrafficDistribution switches(List<DeviceTrafficDistribution> switches) {
    this.switches = switches;
    return this;
  }

  public TrafficDistribution addSwitchesItem(DeviceTrafficDistribution switchesItem) {
    if (this.switches == null) {
      this.switches = new ArrayList<>();
    }
    this.switches.add(switchesItem);
    return this;
  }

  /**
   * Current Site Switch List
   * @return switches
  */
  @ApiModelProperty(value = "Current Site Switch List")

  @Valid

  public List<DeviceTrafficDistribution> getSwitches() {
    return switches;
  }

  public void setSwitches(List<DeviceTrafficDistribution> switches) {
    this.switches = switches;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TrafficDistribution trafficDistribution = (TrafficDistribution) o;
    return Objects.equals(this.aps, trafficDistribution.aps) &&
        Objects.equals(this.switches, trafficDistribution.switches);
  }

  @Override
  public int hashCode() {
    return Objects.hash(aps, switches);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TrafficDistribution {\n");
    
    sb.append("    aps: ").append(toIndentedString(aps)).append("\n");
    sb.append("    switches: ").append(toIndentedString(switches)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

